unit Alerter;

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages, 
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBCtrls, ExtCtrls, Grids, DBGrids, StdCtrls, ToolWin, ComCtrls, Buttons,
  PgDacVcl, DBAccess, PgAccess, PgAlerter, Db, PgDacDemoForm, DemoFrame,
  DAAlerter;

type
  TAlerterFrame = class(TDemoFrame)
    Panel2: TPanel;
    meLog1: TMemo;
    PgAlerter1: TPgAlerter;
    Panel4: TPanel;
    meLog2: TMemo;
    PgAlerter2: TPgAlerter;
    Splitter1: TSplitter;
    Panel12: TPanel;
    Panel11: TPanel;
    Label7: TLabel;
    Panel1: TPanel;
    btStart1: TSpeedButton;
    btStop1: TSpeedButton;
    btSend1: TSpeedButton;
    Panel13: TPanel;
    Label9: TLabel;
    edEvent1: TEdit;
    Label8: TLabel;
    Panel5: TPanel;
    btStart2: TSpeedButton;
    btStop2: TSpeedButton;
    btSend2: TSpeedButton;
    Panel14: TPanel;
    Label10: TLabel;
    edEvent2: TEdit;
    PgConnection2: TPgConnection;
    procedure btStart1Click(Sender: TObject);
    procedure btStop1Click(Sender: TObject);
    procedure btSend1Click(Sender: TObject);
    procedure btStart2Click(Sender: TObject);
    procedure btStop2Click(Sender: TObject);
    procedure btSend2Click(Sender: TObject);
    procedure PgAlerter1Event(Sender: TObject; const EventName: String;
      PID: Integer; const EventMessage: String);
    procedure PgAlerter2Event(Sender: TObject; const EventName: String;
      PID: Integer; const EventMessage: String);
  private
    { Private declarations }
  public
    procedure Initialize; override;
  end;

implementation

{$IFNDEF FPC}
{$IFDEF CLR}
{$R *.nfm}
{$ELSE}
{$R *.dfm}
{$ENDIF}
{$ENDIF}

procedure TAlerterFrame.Initialize;
begin
  inherited;

  PgAlerter1.Connection := Connection as TPgConnection;
end;

procedure TAlerterFrame.btStart1Click(Sender: TObject);
begin
  if not PgAlerter1.Active then begin
    PgAlerter1.Start;
    meLog1.Lines.Add('Started...');
  end;
end;

procedure TAlerterFrame.btStop1Click(Sender: TObject);
begin
  if PgAlerter1.Active then begin
    PgAlerter1.Stop;
    meLog1.Lines.Add('Stoped');
  end;
end;

procedure TAlerterFrame.btSend1Click(Sender: TObject);
begin
  PgAlerter1.SendEvent(edEvent1.Text);
end;

procedure TAlerterFrame.btStart2Click(Sender: TObject);
begin
  if not PgConnection2.Connected then begin
    PgDacForm.PgConnection.Open;
    AssignConnectionTo(PgConnection2);
    PgConnection2.LoginPrompt := False;
  end;
  if not PgAlerter2.Active then begin
    PgAlerter2.Start;
    meLog2.Lines.Add('Started...');
  end;
end;

procedure TAlerterFrame.btStop2Click(Sender: TObject);
begin
  if PgAlerter2.Active then begin
    PgAlerter2.Stop;
    meLog2.Lines.Add('Stoped');
  end;
end;

procedure TAlerterFrame.btSend2Click(Sender: TObject);
begin
  if not PgConnection2.Connected then begin
    PgDacForm.PgConnection.Open;
    AssignConnectionTo(PgConnection2);
    PgConnection2.LoginPrompt := False;
  end;
  PgAlerter2.SendEvent(edEvent2.Text);
end;

procedure TAlerterFrame.PgAlerter1Event(Sender: TObject;
  const EventName: String; PID: Integer; const EventMessage: String);
begin
  if PID <> PgDacForm.PgConnection.ProcessID then
    meLog1.Lines.Add('Event: ' + EventName + '; PID: ' + IntToStr(PID));
end;

procedure TAlerterFrame.PgAlerter2Event(Sender: TObject;
  const EventName: String; PID: Integer; const EventMessage: String);
begin
  if PID <> PgConnection2.ProcessID then
    meLog2.Lines.Add('Event: ' + EventName + '; PID: ' + IntToStr(PID));
end;

end.
