
//////////////////////////////////////////////////
//  PostgreSQL Data Access Components
//  Copyright  2008-2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}
{$I PgDac.inc}

unit PgDacReg;
{$ENDIF}

interface

procedure Register;

implementation

{$IFNDEF FPC}
  {$IFDEF VER28P}
    {$R PgDesign28p.res}
  {$ELSE}
    {$IFDEF VER9}
      {$R PgDesign9.res}
    {$ELSE}
      {$R PgDesign.res}
    {$ENDIF}
    {$IFDEF VER10P}
      {$R PgDesign10p.res}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}

uses
  Classes,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  DBAccess, DacReg, PgDacVcl, PgTransaction,
{$IFNDEF STD}
  PgLoader, PgDump, PgAlerter,
{$ENDIF}
  PgAccess, PgScript, PgSQLMonitor{$IFNDEF FPC}{$IFNDEF CLR}{$IFDEF VER9P}, Windows{$ENDIF}{$ENDIF}{$ENDIF};

procedure Register;
begin
{$IFNDEF FPC}
{$IFNDEF CLR}
{$IFDEF VER9P}
  RegisterSplashScreen('Devart PostgreSQL Data Access Components',
                       PgDacVersion,
                       LoadBitmap(HInstance, {$IFDEF VER9}'SPLASHGR'{$ENDIF}
                                             {$IFDEF VER10}'SPLASHBL'{$ENDIF}
                                             {$IFDEF VER11}'SPLASHWH'{$ENDIF}
                                             {$IFDEF VER12}'SPLASHWH'{$ENDIF}
                                             {$IFDEF VER14P}'SPLASHBL'{$ENDIF}),
                     {$IFDEF BETA}
                       true, 'Beta'
                     {$ELSE}
                     {$IFDEF RC}
                       false, 'Release Candidate'
                     {$ELSE}
                     {$IFDEF TRIAL}
                       true, 'Trial'
                     {$ELSE} //ORIGINAL
                       false, 'Licensed'
                     {$ENDIF}
                     {$ENDIF}
                     {$ENDIF}
                      );
  RegisterAboutBox('Devart PostgreSQL Data Access Components',
                   PgDacVersion,
                   'http://www.devart.com/pgdac/',
                   'Devart PostgreSQL Data Access Components' + #13#10 +
                   'Copyright 1998 - 2024 Devart. All rights reserved.' + #13#10 +
                   'Web: www.devart.com/pgdac/' + #13#10 +
                   'Support: www.devart.com/pgdac/support.html',
                   LoadBitmap(HInstance, 'ABOUT'),
                 {$IFDEF BETA}
                   true, 'Beta'
                 {$ELSE}
                 {$IFDEF RC}
                   false, 'Release Candidate'
                 {$ELSE}
                 {$IFDEF TRIAL}
                   true, 'Trial'
                 {$ELSE} //ORIGINAL
                   false, 'Licensed'
                 {$ENDIF}
                 {$ENDIF}
                 {$ENDIF}
                   , 
                 {$IFDEF STD}
                   'Standard edition'
                 {$ELSE}
                   'Professional edition'
                 {$ENDIF}
                  );
{$ENDIF}
{$ENDIF}
{$ENDIF}

{$IFNDEF STD}
  RegisterCRBatchMove;
{$ENDIF}

  RegisterComponents('PgDAC', [TPgConnection]);
  RegisterComponents('PgDAC', [TPgQuery]);
  RegisterComponents('PgDAC', [TPgTable]);
  RegisterComponents('PgDAC', [TPgStoredProc]);
  RegisterComponents('PgDAC', [TPgSQL]);
  RegisterComponents('PgDAC', [TPgScript]);
  RegisterComponents('PgDAC', [TPgUpdateSQL]);
  RegisterComponents('PgDAC', [TPgDataSource]);

{$IFNDEF STD}
  RegisterComponents('PgDAC', [TPgLoader]);
  RegisterComponents('PgDAC', [TPgDump]);
  RegisterComponents('PgDAC', [TPgAlerter]);
  RegisterComponents('PgDAC', [TPgMetaData]);
{$ENDIF}
  RegisterComponents('PgDAC', [TPgTransaction]);
  RegisterComponents('PgDAC', [TPgSQLMonitor]);
  RegisterComponents('PgDAC', [TPgConnectDialog]);

{$IFNDEF STD}
  RegisterComponents('PgDAC', [TPgEncryptor]);
{$ENDIF}
end;

{$IFDEF FPC}
initialization
  {$I PgDesign.lrs}
{$ENDIF}

end.

