
//////////////////////////////////////////////////
//  PostgreSQL Data Access Components
//  Copyright  2008-2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I PgDac.inc}

unit PgParamsFrame;
{$ENDIF}

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  Graphics, Controls, Forms, StdCtrls, ExtCtrls,
  Classes, SysUtils, Variants, DB,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  CRFrame, CRTabEditor, DAParamsFrame, DBAccess, PgAccess;

type
  TPgParamsFrame = class(TDAParamsFrame)
  protected
  public
    constructor Create(AOwner: TComponent); override;
  end;

implementation

{$IFNDEF FPC}
{$R PgParamsFrame.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

uses
  CRColFrame, CREditor;

{ TPgParamsFrame }

constructor TPgParamsFrame.Create(AOwner: TComponent);
begin
  inherited;

  AddDataType('Unknown',       ftUnknown,       True,  False, False, '');
  AddDataType('String',        ftString,        False, True,  True,  '');
  AddDataType('WideString',    ftWideString,    False, True,  True,  '');
  AddDataType('Smallint',      ftSmallint,      True,  True,  False, '0');
  AddDataType('Integer',       ftInteger,       True,  True,  False, '0');
  AddDataType('LargeInt',      ftLargeInt,      True,  True,  False, '0');
  AddDataType('Boolean',       ftBoolean,       False, True,  True,  'False');
  AddDataType('Float',         ftFloat,         True,  True,  False, '0');
  AddDataType('Currency',      ftCurrency,      True,  True,  False, '0');
  AddDataType('BCD',           ftBCD,           True,  True,  False, '0');
{$IFNDEF FPC}
  AddDataType('FMTBcd',        ftFMTBcd,        True,  True,  False, '0');
{$ENDIF}

  AddDataType('Date',          ftDate,          True,  True,  False, '');
  AddDataType('Time',          ftTime,          True,  True,  False, '');
  AddDataType('DateTime',      ftDateTime,      True,  True,  False, '');

  AddDataType('PgInterval',    TFieldType(ftPgInterval), True,  True,  False, '');
  AddDataType('PgDate',        TFieldType(ftPgDate), True,  True,  False, '');
  AddDataType('PgTime',        TFieldType(ftPgTime), True,  True,  False, '');
  AddDataType('PgTimeStamp',   TFieldType(ftPgTimeStamp), True,  True,  False, '');

  AddDataType('Memo',          ftMemo,          True,  True,  False, '');
{$IFDEF VER10P}
  AddDataType('WideMemo',      ftWideMemo,      True,  True,  False, '');
{$ENDIF}
  AddDataType('Blob',          ftBlob,          True,  True,  False, '');
  AddDataType('PgLargeObject', TFieldType(ftPgLargeObject), True,  True,  False, '');

  AddDataType('Cursor',        ftCursor,        True,  False, False, '');
  AddDataType('ADT',           ftADT,           True,  False, False, '');

  AddDataType('PgPoint',       TFieldType(ftPgPoint), True,  True,  False, '');
  AddDataType('PgLSeg',        TFieldType(ftPgLSeg), True,  True,  False, '');
  AddDataType('PgBox',         TFieldType(ftPgBox), True,  True,  False, '');
  AddDataType('PgPath',        TFieldType(ftPgPath), True,  True,  False, '');
  AddDataType('PgPolygon',     TFieldType(ftPgPolygon), True,  True,  False, '');
  AddDataType('PgCircle',      TFieldType(ftPgCircle), True,  True,  False, '');
  AddDataType('PgLine',        TFieldType(ftPgLine), True,  True,  False, '');

  AddParamType('IN', ptInput);
  AddParamType('OUT', ptOutput);
  AddParamType('IN/OUT', ptInputOutput);
  AddParamType('RESULT', ptResult);
end;

end.
