
//////////////////////////////////////////////////
//  PostgreSQL Data Access Components
//  Copyright  2008-2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I PgDac.inc}

unit PgQueryEditor;
{$ENDIF}

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, Buttons, DBCtrls,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  CREditor, CRTabEditor, DASQLComponentEditor, DAQueryEditor,
  Db, DBAccess, PgAccess, CRFrame;

type
  TPgQueryEditorForm = class(TDAQueryEditorForm)
  protected
    procedure DoInit; override;

  public
    property Query;
  end;

implementation

{$IFNDEF FPC}
{$R PgQueryEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

uses
  CRColFrame,
  DASQLFrame, DAParamsFrame, DAMacrosFrame, DASPCallFrame,
  DASQLGeneratorFrame, DAUpdateSQLFrame, DADataTypeMapFrame,
  PgParamsFrame, PgSPCallFrame, DAConditionsFrame;

{ TPgQueryEditorForm }

procedure TPgQueryEditorForm.DoInit;
begin
  FSQLFrame := AddTab(TDASQLFrame, shSQL) as TDASQLFrame;
  FParamsFrame := AddTab(TPgParamsFrame, shParameters) as TDAParamsFrame;
  FMacrosFrame := AddTab(TDAMacrosFrame, shMacros) as TDAMacrosFrame;
  FSPCallFrame := AddTab(TPgSPCallFrame, shGeneratorSPC) as TDASPCallFrame;
  FUpdateSQLFrame := AddTab(TDAUpdateSQLFrame, shEditSQL) as TDAUpdateSQLFrame;
  FSQLGeneratorFrame := AddTab(TDASQLGeneratorFrame, shGenerator) as TDASQLGeneratorFrame;
  FDataTypeMapFrame := AddTab(GetDataTypeMapFrameClass, shDataTypeMap) as TDADataTypeMapFrame;
  FConditionsFrame := AddTab(TDAConditionsFrame, shConditions) as  TDAConditionsFrame;

  inherited;
end;

end.
