
//////////////////////////////////////////////////
//  PostgreSQL Data Access Components
//  Copyright  2008-2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I PgDac.inc}

unit PgSPCallFrame;
{$ENDIF}

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls, Buttons, ComCtrls,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  Classes, SysUtils, CRTypes, DBAccess, CRFrame, CRTabEditor,
  DASPCallFrame, CREditor;

type
  TPgSPCallFrame = class(TDASPCallFrame)
    edOverload: TEdit;
    lblOverload: TLabel;
    cbAllProcs: TCheckBox;
    lblOverload2: TLabel;
    edOverload2: TEdit;
    btCreateSQL: TSpeedButton;
    udOverload: TUpDown;
    udOverload2: TUpDown;
    procedure edOverloadExit(Sender: TObject);
    procedure cbAllProcsClick(Sender: TObject);
    procedure btCreateSQLClick(Sender: TObject);
  protected
    function ShowAllProc: boolean; override;
  public
    function GetSPName: string; override;
    procedure SetSPName(const Value: string); override;
  end;

implementation

{$IFNDEF FPC}
{$R PgSPCallFrame.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

uses
  PgAccess, DASQLFrame, DAConsts;

{ TPgSPCallFrame }

function TPgSPCallFrame.ShowAllProc: boolean;
begin
  Result := cbAllProcs.Checked;
end;

function TPgSPCallFrame.GetSPName: string;
begin
  Result := inherited GetSPName;

  case Mode of
    spSQL, spQuery, spQuerySP:
      Result := Result + ':' + IntToStr(StrToInt(edOverload2.Text));
    spSQLSP:
      Result := Result + ':' + IntToStr(StrToInt(edOverload.Text));
  end;
end;

procedure TPgSPCallFrame.SetSPName(const Value: string);
var
  p, Overload: integer;
  Name: string;
begin
  p := Pos(':', Value);
  if p > 0 then begin
    Overload := StrToInt(Trim(Copy(Value, p + 1, MaxInt)));
    Name := Trim(Copy(Value, 1, p - 1));
  end
  else begin
    Name := Trim(Value);
    Overload := 0;
  end;

  inherited SetSPName(Name);

  case Mode of
    spSQL, spQuery, spQuerySP:
      edOverload2.Text := IntToStr(Overload);
    spSQLSP:
      edOverload.Text := IntToStr(Overload);
  end;
end;

procedure TPgSPCallFrame.edOverloadExit(Sender: TObject);
begin
  if (edOverload.Text <> '') and
    (IntToStr((Editor.LocalComponent as TCustomPgStoredProc).Overload) <> edOverload.Text)
  then
    CreateProcedureCall;
end;

procedure TPgSPCallFrame.cbAllProcsClick(Sender: TObject);
begin
  FListGot := False;
end;

procedure TPgSPCallFrame.btCreateSQLClick(Sender: TObject);
begin
  CreateProcedureCall;
end;

end.

