
//////////////////////////////////////////////////
//  PostgreSQL Data Access Components
//  Copyright  2008-2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I PgDac.inc}

unit PgSQLEditor;
{$ENDIF}

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, Buttons, DBCtrls,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  Db, DBAccess, PgAccess, CREditor, DASQLComponentEditor, CRFrame, DASQLFrame;

type
  TPgSQLEditorForm = class(TDASQLEditorForm)
  protected
    procedure DoInit; override;

  public
    property SQL;
  end;

implementation

{$IFNDEF FPC}
{$R PgSQLEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

uses
  DAParamsFrame, DAMacrosFrame, DASPCallFrame, PgParamsFrame, PgSPCallFrame;

{ TPgSQLEditorForm }

procedure TPgSQLEditorForm.DoInit;
begin
  FSQLFrame := AddTab(TDASQLFrame, shSQL) as TDASQLFrame;
  FParamsFrame := AddTab(TPgParamsFrame, shParameters) as TDAParamsFrame;
  FMacrosFrame := AddTab(TDAMacrosFrame, shMacros) as TDAMacrosFrame;
  FSPCallFrame := AddTab(TPgSPCallFrame, shGeneratorSPC) as TDASPCallFrame;

  inherited;
end;

end.

