
//////////////////////////////////////////////////
//  PostgreSQL Data Access Components
//  Copyright  2008-2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I PgDac.inc}

unit PgTableEditor;
{$ENDIF}
interface
uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ExtCtrls, Buttons,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  DBAccess,
  CRFrame, DATableEditor, DATableSQLFrame, DADataTypeMapFrame, PgTableSQLFrame, DAConditionsFrame;

type
  TPgTableEditorForm = class(TDATableEditorForm)
  protected
    procedure DoInit; override;
    function GetSQLFrameClass: TDATableSQLFrameClass; override;
  end;

implementation

{$IFNDEF FPC}
{$R PgTableEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

{ TPgTableEditorForm }

procedure TPgTableEditorForm.DoInit;
begin
  FDataTypeMapFrame := AddTab(GetDataTypeMapFrameClass, shDataTypeMap) as TDADataTypeMapFrame;
  FConditionsFrame := AddTab(TDAConditionsFrame, shConditions) as  TDAConditionsFrame;

  inherited;
end;

function TPgTableEditorForm.GetSQLFrameClass: TDATableSQLFrameClass;
begin
  Result := TPgTableSQLFrame;
end;

end.
